CALIBREDB(1)

NAME
calibredb - calibredb

calibredb agindua [aukera] [argumentuak]

calibredb calibre datu-baserako komando-lerroko interfazea da. Hainbat hainbat azpi-komando dauka, behean dokumentatuta.

calibredb kalibreko datu-base bat manipulatzeko erabil daiteke bide edo Calibrek zehaztutako Eduki zerbitzaria exekutatzen ari den tokiko makina edo internet bidez. Calibre has dezakezu Eduki zerbitzaria calibre-server erabiliz programan edo kalibre nagusiko programan egin klik Konektatu/partekatu  → Hasi Eduki zerbitzaria. calibredb-ek zurean aldaketak egin ditzakeenez Calibre liburutegiak, zerbitzarian autentifikazioa konfiguratu behar duzu lehenik. Han Horretarako bi modu daude:

•   Ordenagailu berean exekutatzen ari den zerbitzari batera soilik konektatzeko asmoa baduzu,

    besterik gabe erabil dezakezu --enable-local-write aukera Eduki zerbitzaria, edozein programa martxan jartzeko, calibredb barne tokiko ordenagailua zure kalibreko datuetan aldaketak egiteko. Korrika egitean Calibre programa nagusiko zerbitzaria, aukera hau barne dago Hobespenak → Sarean partekatzea → Aurreratua.

•   Internet bidez sarbidea gaitu nahi baduzu, konfiguratu beharko zenuke

    erabiltzaile-kontuak zerbitzarian eta erabili --username eta --password aukerak calibredb sarbidea emateko. Konfiguratu dezakezu erabiltzailearen autentifikazioa calibre-server --enable-auth erabiliz aukera eta --manage-users erabiliz erabiltzaile-kontuak sortzeko. Zerbitzaria calibre programa nagusitik exekutatzen ari bazara, erabili Hobespenak → Sarean partekatzea → Erabiltzaile izena/pasahitza eskatu.

    Abian dagoen Eduki zerbitzari batera konektatzeko, pasa zerbitzariaren URLa --with-library aukera, ikusi aukera horren dokumentazioa xehetasunak eta adibideak.

•   AUKERA GLOBALAK

•   list

•   add

•   KARPETETATIK GEHITZEA

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB AUKERAK

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

AUKERA GLOBALAK

--help, -h
    Erakutsi laguntza mezu hau eta irten

--library-path, --with-library
    Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: http://hostname:port/#library_id for example, http://localhost:8080/#mylibrary. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Password for connecting to a calibre Content server. To read the password from standard input, use the special value: <stdin>. To read the password from a file, use: <f:/path/to/file> (i.e. <f: followed by the full path to the file and a trailing >). The angle brackets in the above are required, remember to escape them or use quotes for your shell.

--timeout
    Denbora-muga, segundotan, kalibreko liburutegi batera sarean konektatzean. Lehenetsia bi minutukoa da.

--username
    Calibre Eduki zerbitzariarekin konektatzeko erabiltzaile izena

--version
    Erakutsi programaren bertsioa zein den eta irten

LIST

calibredb list [aukerak]

calibre datu basean eskuragarri dauden liburuen zerrenda.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Ordenatu emaitzak goranzka

--fields, -f
    The fields to display when listing books in the database. Should be a comma separated list of fields. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Default: title,authors. The special field "all" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating

--for-machine
    Sortu irteera JSON formatuan, makinen analisirako egokiagoa dena. Lerro zabalera eta bereizgailuaren aukerak baztertzea eragiten du.

--limit
    Erakusteko gehienezko emaitza kopurua. Lehenetsita: denak

--line-width, -w
    Lerro sinple baten zabalera maximoa. Lehenetsitako balioa: pantailaren tamaina detektatzea.

--prefix
    Fitxategi bide guztietarako aurrizkia. Lehenetsia: liburutegiko karpetarako bide hutsa.

--search, -s
    Bilaketa galderaren arabera iragazten ditu emaitzak. Galdetzen denaren formaturako, mesedez begiratu bilaketari buruzko dokumentazioa Erabiltzailearen eskuliburua. Lehenetsita: ez egin inolako iragazpenik.

--separator
    Eremuak bereizteko erabiltzen den testua. Lehenetsia: espazio bat.

--sort-by
    The field by which to sort the results. You can specify multiple fields by separating them with commas. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Default: id

--template
    The template to run if "template" is in the field list. Default: None

--template_file, -t
    Path to a file containing the template to run if "template" is in the field list. Default: None

--template_heading
    Heading for the template column. Default: template. This option is ignored if the option --for-machine is set

ADD

%p rog gehitu [aukerak] fitxategia1 fitxategia2 fitxategia3 ...

Gehitu zehaztutako fitxategiak liburu gisa datu-basera. Karpetak ere zehaztu ditzakezu, ikus karpetarekin lotutako aukerak behean.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Ezarri gehitutako liburu(ar)en egile izena

--automerge, -m
    Antzeko izenburuak eta egileak dituzten liburuak aurkitzen badira, batu automatikoki sarrerako formatuak (fitxategiak) dauden liburuen erregistroetan. "Ez ikusi egin" balioarekin bikoiztutako formatuak baztertu egiten dira. "Gainidatzi" balioarekin liburutegian bikoiztu diren formatuak gehitu berri diren fitxategiekin gainidatzi egiten dira. "Erregistro_berria" balioak bikoiztutako formatuak liburu erregistro berri batean jartzen direla esan nahi du.

--cover, -c
    Liburu-azaleko lasterbidea gehitutako liburuan erabiltzeko

--duplicates, -d
    Gehitu liburuak datu-basera, lehendik badaude ere. Konparazioa liburuen izenburuetan eta egileetan oinarrituta egiten da. Kontuan izan --automerge aukerak lehentasuna duela.

--empty, -e
    Gehitu liburu huts bat (formaturik gabeko liburu bat)

--identifier, -I
    Ezarri liburu honen identifikatzaileak, adibidez. -I asin:XXX -I isbn:YYY

--isbn, -i
    Ezarri gehitutako liburu(ar)en ISSNa

--languages, -l
    Komaz banandutako hizkuntzen zerrenda (onena ISO639 hizkuntza-kodeak erabiltzea, nahiz eta hizkuntza-izen batzuk ere ezagutzen ditu)

--series, -s
    Ezarri gehitutako liburu(ar)en serieak

--series-index, -S
    Ezarri gehitutako liburu(ar)en serie zenbakia

--tags, -T
    Ezarri gehitutako liburu(ar)en etiketak

--title, -t
    Ezarri gehitutako liburu(ar)en izenburua

  KARPETETATIK GEHITZEA

Karpetetatik liburuak gehitzea kontrolatzeko aukerak. Modu lehenetsian liburu elektronikoen fitxategi mota ezagunen luzapenak dituzten fitxategiak soilik gehitzen dira.

--add
    Fitxategi-izenaren (glob) eredua, eredu honekin bat datozen fitxategiak gehituko dira karpeten fitxategiak bilatzean, nahiz eta liburu elektronikoko fitxategi mota ezaguna ez izan. Hainbat aldiz zehaztu daiteke eredu anitzeko.

--ignore
    Fitxategi-izenaren (glob) eredua, eredu honekin bat datozen fitxategiak ez dira aintzat hartuko karpeten fitxategiak bilatzeko. Hainbat aldiz zehaztu daiteke eredu anitzeko. Adibidez: *.pdf-k PDF fitxategi guztiak baztertuko ditu

--one-book-per-directory, -1
    Demagun karpeta bakoitzak liburu digital bakarra duela eta bertan dauden fitxategi guztiak liburu horren liburu elektroniko formatu desberdinak direla

--recurse, -r
    Prozesatu karpetak modu errekurtsiboan

REMOVE

calibredb remove ids

Remove the books identified by ids from the database. ids should be a comma separated list of id numbers (you can get id numbers by using the search command). For example, 23,34,57-85 (when specifying a range, the last number in the range is not included).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Ez erabili Birziklatzeko paperontzia

ADD_FORMAT

calibredb add_format [options] id ebook_file

Add the e-book in ebook_file to the available formats for the logical book identified by id. You can get id by using the search command. If the format already exists, it is replaced, unless the do not replace option is specified.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-extra-data-file
    Gehitu fitxategia liburuari datu gehigarri gisa, ez ebook formatuan

--dont-replace
    Ez ordeztu formatua dagoeneko existitu existitzen bada

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Remove the format fmt from the logical book identified by id. You can get id by using the search command. fmt should be a file extension like LRF or TXT or EPUB. If the logical book does not have fmt available, do nothing.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Show the metadata stored in the calibre database for the book identified by id. id is an id number from the search command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Inprima itzazu metadatuak OPF formatuarekin (XML)

SET_METADATA

calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Set the metadata stored in the calibre database for the book identified by book_id from the OPF file metadata.opf. book_id is a book id number from the search command. You can get a quick feel for the OPF format by using the --as-opf switch to the show_metadata command. You can also set the metadata of individual fields with the --field option. If you use the --field option, there is no need to specify an OPF file.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    Ezarri beharreko eremua. Formatua honako hau da: eremuaren_izena:balioa, adibidez: --field etiketak:etiketa1,etiketa2. --list-fields erabili eremu izen guztien zerrenda lortzeko. Eremu bat baino gehiago ezartzeko aukera hau behin baino gehiagotan zehaztu. Oharra: hizkuntzak erabiltzeko ISO639 arauan zehazten diren hizkuntza-kodeak erabili beharko dituzu (adibidez, 'eu' euskararako, 'es' gaztelerarako, 'en' ingeleserako...). For identifiers, the syntax is --field identifiers:isbn:XXXX,doi:YYYYY. For boolean (yes/no) fields use true and false or yes and no.

--list-fields, -l
    --field aukerarekin batera erabil daitezkeen metadatuen eremuen izenen zerrenda

EXPORT

calibredb export [options] ids

Export the books specified by ids (a comma separated list) to the filesystem. The export operation saves all formats of the book, its cover and metadata (in an OPF file). Any extra data files associated with the book are also saved. You can get id numbers from the search command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Esportatu data-baseko liburu guztiak, ID zerrendari ez ikusiarena eginez.

--dont-asciiize
    Have calibre convert all non English characters into English equivalents for the file names. This is useful if saving to a legacy filesystem without full support for Unicode filenames. Aldaketa hau zehaztuz jokabide hau bertan behera geratuko da.

--dont-save-cover
    Normalean, Calibrek liburu-azalak bereiziriko fitxategi batean gordeko ditu, oraingo liburu elektronikoen fitxategiekin batera. Aldaketa hau zehaztuz jokabide hau bertan behera geratuko da.

--dont-save-extra-files
    Save any data files associated with the book when saving the book Aldaketa hau zehaztuz jokabide hau bertan behera geratuko da.

--dont-update-metadata
    Normalean, calibrek metadatuak eguneratuko ditu gordetako fitxategietan, calibreren liburutegian dauden edukiei esker. Eguneratze honek diskoan gordetze prozesua moteltzen du. Aldaketa hau zehaztuz jokabide hau bertan behera geratuko da.

--dont-write-opf
    Normalean, calibrek metadatuak bereiziriko OPF fitxategi batean idatziko ditu, oraingo liburu elektronikoen fitxategiekin batera. Aldaketa hau zehaztuz jokabide hau bertan behera geratuko da.

--formats
    Liburu bakoitzaren komen bidez bereizitako formatuen zerrenda gordetzeko. Lehenetsita: eskuragarri dauden formatu guztiak gordeko dira.

--progress
    Eman aurrerapenaren berri

--replace-whitespace
    Ordeztu espazio zuriak azpiko marrekin.

--single-dir
    Esportatu liburu guztiak karpeta bakar batera

--template
    The template to control the filename and folder structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subfolder with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Datak erakusteko formatua. %Y - urtea, %b - hilabetea, %m - hilabeteko eguna, %d - eguna. Lehenetsita: %b, %Y

--to-dir
    Esportatu liburuak zehaztu den karpetara. Lehenetsita hauxe .

--to-lowercase
    Bihurtu bideak minuskuletara, letra xeheetara.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Komen bidez bereiziriko IDen datu base zerrenda katalogatzeko. Adierazten bada, --search hori baztertu egingo da. Lehenetsita: dena

--search, -s
    Bilaketa galderaren arabera iragazten ditu emaitzak. Bilaketa galderaren formatua hautatzeko, mesedez, ikus bilaketari buruzko dokumentazioa Erabiltzailearen eskuliburuan. Lehenetsita: irazkirik ez

--verbose, -v
    Erakutsi output informazioa, irteera informazioa, ondo zehaztuta. Akatsgabetzeko erabilgarria

  EPUB AUKERAK

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Etiketak' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Manage the saved searches stored in this database. If you try to add a query with a name that already exists, it will be replaced.

Syntax for adding:

calibredb saved_searches add search_name search_expression

Syntax for removing:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [aukerak] etiketa izena data-mota

Sortu pertsonalizaturiko zutabe bat. "Etiketa" zutabearen goitizena da. Ez luke espaziorik edo bi puntuko ikurrik eduki behar. "Izena" zutabearen goitizena da. datu-mota hauetako bat da: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Zutabe honetako datuen interpretazioa pertsonalizatzeko aukerak azaltzen dituen hiztegia. JSON kate bat da. Zerrenda motako zutabeentzat --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]} erabili. 'Display' aldagaian hainbat aukera joan daitezke. Zutabe motaren araberako aukerak hauek dira: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Konbinazio jatorrak lortzeko aukerarik hoberena, zutabe pertsonalizatua Erabiltzailearen Interfaze Grafikoa (GUI) erabiliz sortzea eta ostean liburuen OPF babeskopia begiratzea (zutabea gehitu eta gero OPF fitxategi berria sortu dela ziurtatu lehenago). Bertan agertuko zaizu zutabe berriaren 'display'erako erabili beharreko JSONa.

--is-multiple
    Zutabe honek datu itxurako etiketak gordetzen ditu (adibidez koma anitzekin bereiziriko balioak). Aplikatuko da datu-tipoa testua baldin bada, besterik ez.

CUSTOM_COLUMNS

calibredb custom_columns [options]

List available custom columns. Shows column labels and ids.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Erakutsi zehaztasunak zutabe bakoitzean.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Remove the custom column identified by label. You can see available columns with the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Ez eskatu baieztapenik

SET_CUSTOM

calibredb set_custom [options] column id value

Set the value of a custom column for the book identified by id. You can get a list of ids using the search command. You can get a list of custom column names using the custom_columns command.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Zutabeak balio anitz gordetzen baditu, erantsi zehaztutako balioak lehenagotik zeuden balioetara, ordeztu beharrean.

RESTORE_DATABASE

calibredb restore_database [options]

Restore this database from the metadata stored in OPF files in each folder of the calibre library. This is useful if your metadata.db file has been corrupted.

WARNING: This command completely regenerates your database. You will lose all saved searches, user categories, plugboards, stored per-book conversion settings, and custom recipes. Restored metadata will only be as accurate as what is found in the OPF files.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Berreskuratzea egin, bai. Agindua ez da martxan hasiko aukera hau zehaztu arte.

CHECK_LIBRARY

calibredb aztertu_liburutegia [options]

Egin itzazu liburutegia osatzen duen fitxategi sisteman azterketa eta egiaztapen batzuk . Txostenak hauek dira: invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    Helburua CSV (Comma Separated Values) horretan

--ignore_extensions, -e
    Komaz bereizitako luzapenen zerrenda kasurik ez egiteko. Lehenetsita: dena

--ignore_names, -n
    Komaz bereizitako izenen zerrenda kasurik ez egiteko. Lehenetsita: dena

--report, -r
    Txostenak komaz bereizitako zerrenda. Lehenetsita: dena

--vacuum-fts-db
    Hustu testu osoko bilaketa datu-basea. Hau oso motela eta memoria intentsiboa izan daiteke, datu-basearen tamainaren arabera.

LIST_CATEGORIES

calibredb list_categories [options]

Produce a report of the category information in the database. The information is the equivalent of what is shown in the Tag browser.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Komaz bereizitako kategorien bilaketen izenen zerrenda. Lehenetsia: guztiak

--csv, -c
    Helburua CSV (Comma Separated Values) horretan

--dialect
    Sortuko den CSV fitxategi mota. Aukerak: excel, excel-tab, unix

--item_count, -i
    Erakutsi bakarrik zenbat gai dagoen kategoria bakoitzeko eta ez zenbat aldiz zenbatu den gai bakoitzeko kategoria bakoitzean

--width, -w
    Lerro sinple baten zabalera maximoa. Lehenetsitako balioa: pantailaren tamaina detektatzea.

BACKUP_METADATA

calibredb backup_metadata [options]

Backup the metadata stored in the database into individual OPF files in each books folder. This normally happens automatically, but you can run this command to force re-generation of the OPF files, with the --all option.

Note that there is normally no need to do this, as the OPF files are backed up automatically, every time metadata is changed.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Normalean, komando honek OPF fitxategi zaharkituak duten liburuetan baino ez du eraginik. Aukera honekin liburu guztietan eragitea ahalbidetzen duzu.

CLONE

calibredb clone path/to/new/library

Create a clone of the current library. This creates a new, empty library that has all the same custom columns, Virtual libraries and other settings as the current library.

The cloned library will contain no books. If you want to create a full duplicate, including all books, then simply use your filesystem tools to copy the library folder.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Update the metadata in the actual book files stored in the calibre library from the metadata in the calibre database. Normally, metadata is updated only when exporting files from calibre, this command is useful if you want the files to be updated in place. Note that different file formats support different amounts of metadata. You can use the special value 'all' for book_id to update metadata in all books. You can also specify many book ids separated by spaces and id ranges separated by hyphens. For example: calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Eguneratu metadatuak zehaztutako formatuko fitxategietan soilik. Zehaztu hainbat aldiz formatu anitzeko. Lehenespenez, formatu guztiak eguneratzen dira.

SEARCH

calibredb search [options] search expression

Search the library for the specified search term, returning a comma separated list of book ids matching the search expression. The output format is useful to feed into other commands that accept a list of ids as input.

The search expression can be anything from calibre's powerful search query language, for example: calibredb search author:asimov 'title:"i robot"'

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    The maximum number of results to return. Default is all results.

FTS_INDEX

calibredb fts_index [options] enable/disable/status/reindex

Control the Full text search indexing process.

enable
    Turns on FTS indexing for this library

disable
    Turns off FTS indexing for this library

status
    Shows the current indexing status

reindex
    Can be used to re-index either particular books or the entire library. To re-index particular books specify the book ids as additional arguments after the reindex command. If no book ids are specified the entire library is re-indexed.

    Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--indexing-speed
    Indexatzeko abiadura. Erabili abiadura bizkorra zure ordenagailuko baliabide guztiak erabiliz indexatzeko azkar eta abiadura motela baliabide gutxiago erabiltzeko. Kontuan izan abiadura motela berrezartzen dela saiakera bakoitzaren ondoren.

--wait-for-completion
    Itxaron liburu guztiak indexatu arte, indexatzeko aurrerapena aldian-aldian erakutsiz

FTS_SEARCH

calibredb fts_search [options] search expression

Do a full text search on the entire library or a subset of it.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--do-not-match-on-related-words
    Only match on exact words not related words. So correction will not match correcting.

--include-snippets
    Sartu partida bakoitzaren inguruko testu zatiak. Kontuan izan horrek bilaketa motelago egiten duela.

--indexing-threshold
    How much of the library must be indexed before searching is allowed, as a percentage. Defaults to 90

--match-end-marker
    The marker used to indicate the end of a matched word inside a snippet

--match-start-marker
    The marker used to indicate the start of a matched word inside a snippet

--output-format
    The format to output the search results in. Either "text" for plain text or "json" for JSON output.

--restrict-to
    Restrict the searched books, either using a search expression or ids. For example: ids:1,2,3 to restrict by ids or search:tag:foo to restrict to books having the tag foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal